<?php

namespace App\Interfaces;

interface ServiceItem
{
	/**
	 * Return the Service Description.
	 *
	 * @return string
	 */
	public function getServiceDescriptionAttribute(): string;

	/**
	 * Return the Service Name.
	 *
	 * @return string
	 */
	public function getServiceNameAttribute(): string;

	/**
	 * Is this service in a contract
	 *
	 * @return bool
	 */
	public function inContract(): bool;
}